> For the complete documentation index, see [llms.txt](https://docs.nodefy.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nodefy.xyz/our-api-guide/defining-event-types.md).

# Defining Event Types

### Overview

Nodefy supports a wide array of onchain events across multiple blockchains:

* **Address Activity:** Track any ERC-20, ERC-721, ERC-1155 transaction or transfer involving a specified address.
* **NFT Activity:** Monitor events like NFT transfers, sales, and minting.
* **GraphQL Events:** Monitor specific smart contract events.
* **Farcaster Casts:** Stay updated on new casts (posts) by specific Farcaster users.

Event types require at least one parameter to successfully define an event for your notification. Reference the table below for required parameters by `event_type`.&#x20;

To build more targeted and effective notifications, we recommend applying additional filters to the event\_type. More detail can be found in the [Using Filters](/our-api-guide/using-filters.md) section. &#x20;

### Event Types

<table><thead><tr><th width="238">Event_Type</th><th width="272">Description</th><th>Required Parameters</th></tr></thead><tbody><tr><td><code>ADDRESS_ACTIVITY</code></td><td>Monitor any activity (transactions, transfers, etc.) on a specific address</td><td><code>addresses</code> (array of addresses)</td></tr><tr><td><code>GRAPHQL</code></td><td>Monitor specific smart contract events using GraphQL </td><td><code>addresses</code> (smart contract event address)</td></tr><tr><td><code>NFT_ACTIVITY</code></td><td>Monitor NFT-related events (transfers, sales, etc.) for a specific contract or collection</td><td><code>contract_address</code></td></tr><tr><td><code>FARCASTER_CAST</code></td><td>Monitor new casts (posts) on Farcaster</td><td><code>keyword</code>, <code>author_fids</code>, <code>channel</code>, or <code>mentioned_fids</code></td></tr><tr><td>(Other types to come)</td><td>...</td><td>...</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nodefy.xyz/our-api-guide/defining-event-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
